.music-player {
    position: fixed;
    bottom: 20px;
    right: 20px;
}

.player-buttons {
    display: flex;
    gap: 80px;
}

.play-next-button {
    width: 24px;
    height: 24px;

    object-fit: contain;

    filter: brightness(0) invert(1);

    opacity: 1;
}

#musicName {
    position: fixed;
    top: 20px;
    left: 850px;

    width: 350px;

    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;

    color: white;
}

#playButton,
#nextButton {
    width: 60px;
    height: 60px;
    flex-shrink: 0;
}

#playButton:hover,
#nextButton:hover {
    width: 60px;
    height: 60px;
    transform: none;
}
/*slide*/
html {
  box-sizing: border-box;
  scroll-behavior: smooth;
}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: inherit;
}

body {
  font-family: "Inter", sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 24px;
  height: 100dvh;
  background-color: #f8f8f8;
  /* background-color: #606060; */
}

input {
  border: initial;
  outline: none;
}

button {
  border: initial;
  background: initial;
  cursor: pointer;
}

.slider-container {
  position: relative;
  width: 240px;
  height: 10px;
  background: #D6D6DA;
  border-radius: 999px;
  position: fixed;
    bottom: 110px;
    right: 20px;
}

.slider-progress {
  position: absolute;
  height: 100%;
  background: linear-gradient(117deg, #6598f5 0%, #308b0cb0 100%);
  border-radius: 999px;                 
  width: 0%;
  z-index: 1;
}

.slider-thumb-glass {
  position: absolute;
  top: 50%;
  transform: translate(-50%, -50%);
  width: 65px;
  height: 42px;
  border-radius: 999px;
  cursor: pointer;
  z-index: 2;
  background-color: #fff;
  box-shadow: 0 1px 8px 0 rgba(0, 30, 63, 0.1), 0 0 2px 0 rgba(0, 9, 20, 0.1);
  overflow: hidden;
  transition: transform 0.15s ease, height 0.15s ease;
}

.slider-thumb-glass-filter {
  position: absolute;
  inset: 0;
  z-index: 0;
  backdrop-filter: blur(0.6px);
  -webkit-backdrop-filter: blur(0.6px);
  filter: url(#mini-liquid-lens);
}

.slider-thumb-glass-overlay {
  position: absolute;
  inset: 0;
  z-index: 1;
  background-color: rgba(255, 255, 255, 0.1);
}

.slider-thumb-glass-specular {
  position: absolute;
  inset: 0;
  z-index: 2;
  border-radius: inherit;
  box-shadow:
    inset 1px 1px 0 rgba(69, 168, 243, 0.2),
    inset 1px 3px 0 rgba(28, 63, 90, 0.05),
    inset 0 0 22px rgb(255 255 255 / 60%),
    inset -1px -1px 0 rgba(69, 168, 243, 0.12);
}

.slider-thumb-glass-filter,
.slider-thumb-glass-overlay,
.slider-thumb-glass-specular {
  opacity: 0;
}

.slider-thumb-glass.active {
  background-color: transparent;
  box-shadow: none;
}

.slider-thumb-glass.active .slider-thumb-glass-filter,
.slider-thumb-glass.active .slider-thumb-glass-overlay,
.slider-thumb-glass.active .slider-thumb-glass-specular {
  opacity: 1;
}

.slider-thumb-glass:active {
  transform: translate(-50%, -50%) scaleY(0.98) scaleX(1.1);
}